## org.apache.portals.bridges.jsf
Class RequestParameterMap

    java.lang.Object
      org.apache.portals.bridges.jsf.AbstractAttributeMap
          org.apache.portals.bridges.jsf.RequestParameterMap

All Implemented Interfaces:
  Map

public class RequestParameterMap
extends AbstractAttributeMap

`PortletRequest` parameters as Map.

See MyFaces project for servlet implementation.

Author:
  David Le Strat

Nested Class Summary

Nested classes inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
``

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary
`private static String` `ILLEGAL_ARGUMENT` Illegal argument exception message.
`private javax.portlet.PortletRequest` `portletRequest` The `PortletRequest`.

Fields inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
``

Constructor Summary
`RequestParameterMap(Object request)`

Method Summary
`Object` `getAttribute(String key)` Gets an attribute given a key.
`Enumeration` `getAttributeNames()` Gets the attributes names.
`void` `removeAttribute(String key)` Removes an attribute.
`void` `setAttribute(String key, Object value)` Sets an attribute given a key/value.

Methods inherited from class org.apache.portals.bridges.jsf.AbstractAttributeMap
`clear, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ILLEGAL_ARGUMENT

    private static final String ILLEGAL_ARGUMENT

  Illegal argument exception message.

  See Also:
    Constant Field Values

### portletRequest

    private final javax.portlet.PortletRequest portletRequest

  The `PortletRequest`.

Constructor Detail

### RequestParameterMap

    public RequestParameterMap(Object request)

Parameters:
  `request` - The request.

Method Detail

### getAttribute

    public Object getAttribute(String key)

  Description copied from class: `AbstractAttributeMap`

  Gets an attribute given a key.

  Specified by:
    `getAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
  Returns:
    The attribute.
  See Also:
    `AbstractAttributeMap.getAttribute(java.lang.String)`

### setAttribute

    public void setAttribute(String key,
                             Object value)

  Description copied from class: `AbstractAttributeMap`

  Sets an attribute given a key/value.

  Specified by:
    `setAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
    `value` - The value.
  See Also:
    `AbstractAttributeMap.setAttribute(java.lang.String, java.lang.Object)`

### removeAttribute

    public void removeAttribute(String key)

  Description copied from class: `AbstractAttributeMap`

  Removes an attribute.

  Specified by:
    `removeAttribute` in class `AbstractAttributeMap`
  Parameters:
    `key` - The key.
  See Also:
    `AbstractAttributeMap.removeAttribute(java.lang.String)`

### getAttributeNames

    public Enumeration getAttributeNames()

  Description copied from class: `AbstractAttributeMap`

  Gets the attributes names.

  Specified by:
    `getAttributeNames` in class `AbstractAttributeMap`
  Returns:
    An enumeration of attributes names.
  See Also:
    `AbstractAttributeMap.getAttributeNames()`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.